系统极客一直在努力
专注于操作系统及软件使用教程

为什么Windows 10中有两个Hyper-V PowerShell模块?

为什么Windows 10中有两个Hyper-V PowerShell模块

如果你在 Windows 10 中安装了 Hyper-V,并用 PowerShell 的 Get-Module 去查看 Hyper-V 模块的话会发现有两个版本的 Hyper-V PowerShell 模块。

为什么Windows 10中有两个Hyper-V PowerShell模块

其实微软这么做主要有如下两个原因:

  • 微软从来未支持过使用一个版本的 Hyper-V PowerShell 去管理远程计算机上的 Hyper-V。虽然在现实环境中,我们可能在正常使用,但并未被微软支持和验证。然而,有用户(特别是 IT Pro)是需要使用 Hyper-V PowerShell 来进行跨版本 Hyper-V 主机管理的。
  • 为了支持用户的建议,微软从 Windows 10 开始控制 PowerShell Module 以提供跨版本的 Hyper-V 管理兼容。如果你需要通过 Windows 10 远程管理 Windows 8.1 / Windows Server 2012 R2 中的 Hyper-V 实例,需要加载 v1.1 Hyper-V PowerShell module;惹需要远程管理 Windows 10 / Windows Server 2016 中的 Hyper-V 实例,需要加载 v2.0 PowerShell module。

注意:当我们在 Windows 10 中直接使用 Hyper-V Cmdlet 时,默认加载的是 v2.0 版本。当然大家可以自行切换。

分享到:更多 ()